Web Search
Get detailed information about points of interest.
Authorization
Query Parameters
search_lang enum<string> The search language preference. The 2 or more character language code for which the search results are provided.
Default:
"en"Available options:
areubn ui_lang enum<string> User interface language preferred in response. Usually of the format <language_code>-<country_code>. For more, see RFC 9110.
Default:
"en-US"Available options:
es-ARen-AUde-AT units enum<string> The measurement units. The following values are supported:
- metric - The standardized measurement system (km, celcius…)
- imperial - The British Imperial system of units (mile, fahrenheit…)
Available options:
imperialmetric Headers
x-loc-lat number The latitude of the client’s geographical location in degrees, to provide relevant local results. The latitude must be greater than or equal to -90.0 degrees and less than or equal to +90.0 degrees.
Min:
-90 Max: 90 x-loc-long number The longitude of the client’s geographical location in degrees, to provide relevant local results. The longitude must be greater than or equal to -180.0 and less than or equal to +180.0 degrees.
Min:
-180 Max: 180 api-version string The API version to use. This is denoted by the format
YYYY-MM-DD. Default is the latest that is available. Read more about API versioning.accept enum<string> The default supported media type is application/json.
Default:
"application/json"Available options:
application/json*/* cache-control "no-cache" Brave Search will return cached content by default. To prevent caching set the Cache-Control header to
no-cache. This is currently done as best effort.user-agent string Mozilla/5.0 (Linux; Android 12) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.5060.71 Mobile Safari/537.36AndroidMozilla/5.0 (iPhone; CPU iPhone OS 15_5 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) CriOS/103.0.5060.63 Mobile/15E148 Safari/604.1iOSMozilla/5.0 (Macintosh; Intel Mac OS X 12_4) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.0.0 Safari/537.36macOSMozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.0.0 Safari/537.36Windows
The user agent originating the request. Brave search can utilize the user agent to provide a different experience depending on the device as described by the string. The user agent should follow the commonly used browser agent strings on each platform. For more information on curating user agents, see RFC 9110.
Responses
200 Successful Response
The list of location results (POIs) for the given location identifiers.
results.is_source_both boolean Whether the result is from both local and global sources.
Default:
falseresults.type "location_result" Location result type identifier. The value is always
location_result. Default:
"location_result"A list of coordinates associated with the location. This is a lat long represented as a floating point.
The postal address associated with the location.
results.postal_address.type "PostalAddress" The type identifying a postal address. The value is always
PostalAddress. Default:
"PostalAddress"The opening hours, if it is a business, associated with the location.
Profiles associated with the business.
results.profiles.type "external" The type representing the source of data. This is usually
external. Default:
"external"Aggregated reviews from various sources relevant to the business.
A temporary id associated with this result, which can be used to retrieve extra information about the location. It remains valid for 8 hours.
Web results related to this location.
results.results.is_source_both boolean Whether the result is from both local and global sources.
Default:
false400 Bad Request
Explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.
404 Not Found
Explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.
422 Unprocessable Entity
Explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.
429 Too Many Requests
Explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.